From 7b3568ff6dea329368e797fb1f16012e3ac5e59e Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Wed, 10 Aug 2022 16:37:38 +0200
Subject: [PATCH 30/30] Make sure r_uid is set SLURM_AUTH_UID_ANY for database
 access

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c b/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
index 52ebf46964..f06561a31c 100644
--- a/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
+++ b/src/plugins/accounting_storage/slurmdbd/slurmdbd_agent.c
@@ -512,6 +512,7 @@ static void _open_slurmdbd_conn(bool need_db)
 			slurm_set_accounting_storage_port(
 				slurmdbd_conn->rem_port);
 		}
+		slurmdbd_conn->r_uid = SLURM_AUTH_UID_ANY;
 	}
 	slurmdbd_shutdown = 0;
 	slurmdbd_conn->shutdown = &slurmdbd_shutdown;
-- 
2.35.3

